# FoundationClasses
TKAdvTools
Expr

# Expr_LessThan Class Reference

`#include <Expr_LessThan.hxx>`

Inheritance diagram for Expr_LessThan:

[legend]

## Public Member Functions

Standard_EXPORT | Expr_LessThan (const Handle(Expr_GeneralExpression)&exp1, const Handle(Expr_GeneralExpression)&exp2)
| Creates the relation <exp1> < <exp2>. .
Standard_EXPORT Standard_Boolean | IsSatisfied () const
| Returns the current status of the relation .
Standard_EXPORT Handle_Expr_GeneralRelation | Simplified () const
| Returns a GeneralRelation after replacement of NamedUnknowns by an associated expression, and after values computation. .
Standard_EXPORT void | Simplify ()
| Replaces NamedUnknowns by associated expressions, and computes values in <me>. .
Standard_EXPORT Handle_Expr_GeneralRelation | Copy () const
| Returns a copy of <me> having the same unknowns and functions. .
Standard_EXPORT TCollection_AsciiString | String () const
| returns a string representing <me> in a readable way.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Expr_LessThan::Expr_LessThan | ( | const Handle(Expr_GeneralExpression)& | exp1,
|  | const Handle(Expr_GeneralExpression)& | exp2
| ) |

## Member Function Documentation

Standard_EXPORT Handle_Expr_GeneralRelation Expr_LessThan::Copy | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT const Expr_LessThan::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Expr_SingleRelation.

Standard_EXPORT Standard_Boolean Expr_LessThan::IsSatisfied | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT Handle_Expr_GeneralRelation Expr_LessThan::Simplified | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT void Expr_LessThan::Simplify | ( |  | ) | `[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT TCollection_AsciiString Expr_LessThan::String | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

The documentation for this class was generated from the following file:

- Expr_LessThan.hxx